io.undertow

## Interface UndertowLogger

All Superinterfaces:
  org.jboss.logging.BasicLogger

All Known Implementing Classes:
  UndertowLogger_$logger

    @MessageLogger(projectCode="UT")
    public interface UndertowLogger
    extends org.jboss.logging.BasicLogger

log messages start at 5000

Author:
  Stuart Douglas

### Field Summary

Fields
`static UndertowLogger` `CLIENT_LOGGER`
`static UndertowLogger` `ERROR_RESPONSE`
`static UndertowLogger` `PREDICATE_LOGGER`
`static UndertowLogger` `PROXY_REQUEST_LOGGER`
`static UndertowLogger` `REQUEST_DUMPER_LOGGER`
`static UndertowLogger` `REQUEST_IO_LOGGER` Logger used for IO exceptions.
`static UndertowLogger` `REQUEST_LOGGER`
`static UndertowLogger` `ROOT_LOGGER`
`static UndertowLogger` `SECURITY_LOGGER`
`static UndertowLogger` `SESSION_LOGGER`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `alpnConnectionFailed(org.xnio.ssl.SslConnection connection)`
`void` `authenticationFailed(String userName, String mechanism)`
`void` `authenticationFailedFor(String header, HttpServerExchange exchange, Exception e)`
`void` `balancerCreated(int id, String name, boolean stickySession, String stickySessionCookie, String stickySessionPath, boolean stickySessionRemove, boolean stickySessionForce, int waitWorker, int maxattempts)`
`void` `blockingReadTimedOut(org.xnio.channels.ReadTimeoutException rte)`
`void` `blockingWriteTimedOut(org.xnio.channels.WriteTimeoutException rte)`
`void` `cannotProxyStartedRequest(HttpServerExchange exchange)`
`void` `cannotRemoveUploadedFile(Path file)`
`IllegalArgumentException` `cannotUseWildcardAddressAsModClusterManagementHost(String providedAddress)`
`void` `closeAsyncFailed(IOException e)`
`void` `couldNotRegisterChangeListener(Exception e)`
`IOException` `dataLargerThanContentLength(long totalToWrite, long responseContentLength)`
`void` `directBufferDeallocationFailed(Throwable t)`
`void` `directBufferDeallocatorInitializationFailed(Throwable t)`
`void` `errorRotatingAccessLog(IOException e)`
`void` `errorWritingAccessLog(IOException e)`
`void` `errorWritingJDBCLog(Exception e)`
`void` `exceptionGeneratingErrorPage(Exception e, String location)`
`void` `exceptionHandlingRequest(Throwable t, String requestURI)`
`void` `exceptionInvokingCloseListener(ServerConnection.CloseListener l, Throwable e)`
`void` `exceptionProcessingRequest(Throwable cause)`
`void` `extendedAccessLogBadXParam()`
`void` `extendedAccessLogCannotDecode(String chars)`
`void` `extendedAccessLogCannotDecodeXParamValue(String value)`
`void` `extendedAccessLogEmptyPattern()`
`void` `extendedAccessLogMissingClosing()`
`void` `extendedAccessLogPatternParseError(Throwable t)`
`void` `extendedAccessLogUnknownToken(String token)`
`void` `failedToAcceptSSLRequest(Exception e)`
`void` `failedToInvokeFailedCallback(ServerSentEventConnection.EventCallback callback, Exception e)`
`void` `failedToNegotiateAtGSSAPI(HttpServerExchange exchange, Throwable e)`
`void` `failedToObtainSubject(HttpServerExchange exchange, GeneralSecurityException e)`
`void` `failedToParseRequest(Throwable e)`
`void` `failedToProcessManagementReq(Exception e)`
`void` `failedToSendPingResponse(Exception e)`
`void` `failedToSendPingResponseDBG(Exception e, String node, String jvmRoute)`
`void` `failedToWriteJdbcAccessLog(Exception e)`
`void` `failedToWritePreCachedFile()`
`void` `handleUnexpectedFailure(Throwable t)`
`void` `httpClientPingTask(URI connection)`
`void` `ignoringAjpRequestWithPrefixCode(byte prefix)`
`void` `invalidTokenReceived(String tokenName, String tokenValue)`
`void` `ioException(IOException e)`
`void` `ioExceptionReadingFromChannel(IOException e)`
`void` `listenerNotProgressing()`
`IllegalStateException` `maxRestartsExceeded(int maxRestarts)`
`void` `mcmpHandlerCreated()`
`void` `mcmpKeyValue(HttpString name, String value)`
`void` `mcmpProcessingError(String type, String errString)`
`void` `mcmpSendingResponse(InetSocketAddress destination, int status, HeaderMap headers, String response)`
`void` `missingAuthorizationToken(String tokenName)`
`void` `noALPNFallback(SocketAddress address)`
`void` `nodeConfigCreated(URI connectionURI, String balancer, String domain, String jvmRoute, boolean flushPackets, int flushwait, int ping, long ttl, int timeout, int maxConnections, int cacheConnections, int requestQueueSize, boolean queueNewRequests)`
`void` `nodeIsInError(String jvmRoute)`
`IllegalArgumentException` `nullParameter(String name)`
`void` `oldStylePredicateSyntax(String string)`
`void` `parseRequestTimedOut(SocketAddress remoteAddress)`
`void` `potentialCrossTalking(InetAddress group, String s, String localizedMessage)`
`void` `proxyAdvertiseCannotSendMessage(Exception e, InetSocketAddress address)`
`void` `proxyAdvertisementsStarted(String address, int frequency)`
`void` `proxyAdvertiseMessagePayload(String payload)`
`void` `proxyFailedToConnectToBackend(String requestURI, URI uri)`
`void` `proxyRequestFailed(String requestURI, Exception e)`
`void` `receivedNodeLoad(String jvmRoute, String loadValue)`
`void` `registeringContext(String contextPath, String jvmRoute)`
`void` `registeringContext(String contextPath, String jvmRoute, List<String> aliases)`
`void` `registeringNode(String jvmRoute, URI connectionURI)`
`void` `remoteEndpointFailedToSendInitialSettings(int type)`
`void` `removingNode(String jvmRoute)`
`void` `requestHeaderWasTooLarge(SocketAddress address, int size)`
`void` `requestWasNotFullyConsumed()`
`void` `responseWasNotTerminated(ServerConnection connection, HttpServerExchange exchange)`
`void` `resumedAndDispatched()`
`void` `sslBufferOverflow(SslConduit sslConduit)`
`void` `sslEngineDelegatedTaskRejected(RejectedExecutionException ree)`
`void` `sslReadLoopDetected(SslConduit sslConduit)`
`void` `stickySessionCookieLengthTruncated(String original, String current)` Undertow mod_cluster proxy messages
`void` `stuckThreadCompleted(String threadName, long threadId, long active, int stuckCount)`
`void` `stuckThreadDetected(String threadName, long threadId, long active, Date start, String requestUri, int threshold, int stuckCount, Throwable stackTrace)`
`void` `timingOutRequest(String requestURI)`
`IllegalStateException` `unableToResolveModClusterManagementHost(String providedHost)`
`void` `undertowRequestFailed(Throwable t, HttpServerExchange exchange)`
`IOException` `unexpectedEndOfCompressedInput()`
`void` `unknownVariable(String token)`
`void` `unregisteringContext(String contextPath, String jvmRoute)`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Field Detail

#### ROOT_LOGGER

    static final UndertowLogger ROOT_LOGGER

#### CLIENT_LOGGER

    static final UndertowLogger CLIENT_LOGGER

#### PREDICATE_LOGGER

    static final UndertowLogger PREDICATE_LOGGER

#### REQUEST_LOGGER

    static final UndertowLogger REQUEST_LOGGER

#### SESSION_LOGGER

    static final UndertowLogger SESSION_LOGGER

#### SECURITY_LOGGER

    static final UndertowLogger SECURITY_LOGGER

#### PROXY_REQUEST_LOGGER

    static final UndertowLogger PROXY_REQUEST_LOGGER

#### REQUEST_DUMPER_LOGGER

    static final UndertowLogger REQUEST_DUMPER_LOGGER

#### REQUEST_IO_LOGGER

    static final UndertowLogger REQUEST_IO_LOGGER

Logger used for IO exceptions. Generally these should be suppressed, because they are of little interest, and it is easy for an attacker to fill up the logs by intentionally causing IO exceptions.

#### ERROR_RESPONSE

    static final UndertowLogger ERROR_RESPONSE

### Method Detail

#### exceptionProcessingRequest

    @LogMessage(level=ERROR)
     @Message(id=5001,
             value="An exception occurred processing the request")
    void exceptionProcessingRequest(@Cause
                                                                                                                                               Throwable cause)

#### ioExceptionReadingFromChannel

    @LogMessage(level=ERROR)
     @Message(id=5003,
             value="IOException reading from channel")
    void ioExceptionReadingFromChannel(@Cause
                                                                                                                                      IOException e)

#### cannotRemoveUploadedFile

    @LogMessage(level=ERROR)
     @Message(id=5005,
             value="Cannot remove uploaded file %s")
    void cannotRemoveUploadedFile(Path file)

#### requestHeaderWasTooLarge

    @LogMessage(level=DEBUG)
     @Message(id=5006,
             value="Connection from %s terminated as request header was larger than %s")
    void requestHeaderWasTooLarge(SocketAddress address,
                                                                                                                                                                   int size)

#### requestWasNotFullyConsumed

    @LogMessage(level=DEBUG)
     @Message(id=5007,
             value="Request was not fully consumed")
    void requestWasNotFullyConsumed()

#### invalidTokenReceived

    @LogMessage(level=DEBUG)
     @Message(id=5008,
             value="An invalid token \'%s\' with value \'%s\' has been received.")
    void invalidTokenReceived(String tokenName,
                                                                                                                                                         String tokenValue)

#### missingAuthorizationToken

    @LogMessage(level=DEBUG)
     @Message(id=5009,
             value="A mandatory token %s is missing from the request.")
    void missingAuthorizationToken(String tokenName)

#### authenticationFailed

    @LogMessage(level=DEBUG)
     @Message(id=5010,
             value="Verification of authentication tokens for user \'%s\' has failed using mechanism \'%s\'.")
    void authenticationFailed(String userName,
                                                                                                                                                                                     String mechanism)

#### ignoringAjpRequestWithPrefixCode

    @LogMessage(level=ERROR)
     @Message(id=5011,
             value="Ignoring AJP request with prefix %s")
    void ignoringAjpRequestWithPrefixCode(byte prefix)

#### ioException

    @LogMessage(level=DEBUG)
     @Message(id=5013,
             value="An IOException occurred")
    void ioException(@Cause
                                                                                                           IOException e)

#### failedToParseRequest

    @LogMessage(level=DEBUG)
     @Message(id=5014,
             value="Failed to parse request")
    void failedToParseRequest(@Cause
                                                                                                                    Throwable e)

#### errorRotatingAccessLog

    @LogMessage(level=ERROR)
     @Message(id=5015,
             value="Error rotating access log")
    void errorRotatingAccessLog(@Cause
                                                                                                                        IOException e)

#### errorWritingAccessLog

    @LogMessage(level=ERROR)
     @Message(id=5016,
             value="Error writing access log")
    void errorWritingAccessLog(@Cause
                                                                                                                      IOException e)

#### unknownVariable

    @LogMessage(level=ERROR)
     @Message(id=5017,
             value="Unknown variable %s. For the literal percent character use two percent characters: \'%%\'")
    void unknownVariable(String token)

#### exceptionInvokingCloseListener

    @LogMessage(level=ERROR)
     @Message(id=5018,
             value="Exception invoking close listener %s")
    void exceptionInvokingCloseListener(ServerConnection.CloseListener l,
                                                                                                                                           @Cause
                                                                                                                                           Throwable e)

#### errorWritingJDBCLog

    @LogMessage(level=ERROR)
     @Message(id=5020,
             value="Error writing JDBC log")
    void errorWritingJDBCLog(@Cause
                                                                                                                  Exception e)

#### exceptionGeneratingErrorPage

    @LogMessage(level=ERROR)
     @Message(id=5022,
             value="Exception generating error page %s")
    void exceptionGeneratingErrorPage(@Cause
                                                                                                                                       Exception e,
                                                                                                                                       String location)

#### exceptionHandlingRequest

    @LogMessage(level=ERROR)
     @Message(id=5023,
             value="Exception handling request to %s")
    void exceptionHandlingRequest(@Cause
                                                                                                                                 Throwable t,
                                                                                                                                 String requestURI)

#### couldNotRegisterChangeListener

    @LogMessage(level=ERROR)
     @Message(id=5024,
             value="Could not register resource change listener for caching resource manager, automatic invalidation of cached resource will not work")
    void couldNotRegisterChangeListener(@Cause
                                                                                                                                                                                                                                        Exception e)

#### timingOutRequest

    @LogMessage(level=ERROR)
     @Message(id=5027,
             value="Timing out request to %s")
    void timingOutRequest(String requestURI)

#### proxyRequestFailed

    @LogMessage(level=ERROR)
     @Message(id=5028,
             value="Proxy request to %s failed")
    void proxyRequestFailed(String requestURI,
                                                                                                                     @Cause
                                                                                                                     Exception e)

#### proxyFailedToConnectToBackend

    @LogMessage(level=ERROR)
     @Message(id=5031,
             value="Proxy request to %s could not connect to backend server %s")
    void proxyFailedToConnectToBackend(String requestURI,
                                                                                                                                                                URI uri)

#### listenerNotProgressing

    @LogMessage(level=ERROR)
     @Message(id=5032,
             value="Listener not making progress on framed channel, closing channel to prevent infinite loop")
    void listenerNotProgressing()

#### remoteEndpointFailedToSendInitialSettings

    @LogMessage(level=ERROR)
     @Message(id=5034,
             value="Remote endpoint failed to send initial settings frame in HTTP2 connection, frame type %s")
    void remoteEndpointFailedToSendInitialSettings(int type)

#### parseRequestTimedOut

    @LogMessage(level=DEBUG)
     @Message(id=5035,
             value="Closing channel because of parse timeout for remote address %s")
    void parseRequestTimedOut(SocketAddress remoteAddress)

#### noALPNFallback

    @LogMessage(level=ERROR)
     @Message(id=5036,
             value="ALPN negotiation failed for %s and no fallback defined, closing connection")
    void noALPNFallback(SocketAddress address)

#### stickySessionCookieLengthTruncated

    @LogMessage(level=WARN)
     @Message(id=5037,
             value="Name of the cookie containing the session id, %s, had been too long and was truncated to: %s")
    void stickySessionCookieLengthTruncated(String original,
                                                                                                                                                                                                      String current)

Undertow mod_cluster proxy messages

#### balancerCreated

    @LogMessage(level=DEBUG)
     @Message(id=5038,
             value="Balancer created: id: %s, name: %s, stickySession: %s, stickySessionCookie: %s, stickySessionPath: %s, stickySessionRemove: %s, stickySessionForce: %s, waitWorker: %s, maxattempts: %s")
    void balancerCreated(int id,
                                                                                                                                                                                                                                                                               String name,
                                                                                                                                                                                                                                                                               boolean stickySession,
                                                                                                                                                                                                                                                                               String stickySessionCookie,
                                                                                                                                                                                                                                                                               String stickySessionPath,
                                                                                                                                                                                                                                                                               boolean stickySessionRemove,
                                                                                                                                                                                                                                                                               boolean stickySessionForce,
                                                                                                                                                                                                                                                                               int waitWorker,
                                                                                                                                                                                                                                                                               int maxattempts)

#### proxyAdvertisementsStarted

    @LogMessage(level=INFO)
     @Message(id=5039,
             value="Undertow starts mod_cluster proxy advertisements on %s with frequency %s ms")
    void proxyAdvertisementsStarted(String address,
                                                                                                                                                                             int frequency)

#### proxyAdvertiseMessagePayload

    @LogMessage(level=DEBUG)
     @Message(id=5040,
             value="Gonna send payload:\n%s")
    void proxyAdvertiseMessagePayload(String payload)

#### proxyAdvertiseCannotSendMessage

    @LogMessage(level=ERROR)
     @Message(id=5041,
             value="Cannot send advertise message. Address: %s")
    void proxyAdvertiseCannotSendMessage(@Cause
                                                                                                                                                  Exception e,
                                                                                                                                                  InetSocketAddress address)

#### mcmpHandlerCreated

    @LogMessage(level=DEBUG)
     @Message(id=5042,
             value="Undertow mod_cluster proxy MCMPHandler created")
    void mcmpHandlerCreated()

#### mcmpProcessingError

    @LogMessage(level=ERROR)
     @Message(id=5043,
             value="Error in processing MCMP commands: Type:%s, Mess: %s")
    void mcmpProcessingError(String type,
                                                                                                                                                String errString)

#### removingNode

    @LogMessage(level=INFO)
     @Message(id=5044,
             value="Removing node %s")
    void removingNode(String jvmRoute)

#### registeringContext

    @LogMessage(level=INFO)
     @Message(id=5045,
             value="Registering context %s, for node %s")
    void registeringContext(String contextPath,
                                                                                                                             String jvmRoute)

#### registeringContext

    @LogMessage(level=DEBUG)
     @Message(id=5046,
             value="Registering context %s, for node %s, with aliases %s")
    void registeringContext(String contextPath,
                                                                                                                                               String jvmRoute,
                                                                                                                                               List<String> aliases)

#### unregisteringContext

    @LogMessage(level=INFO)
     @Message(id=5047,
             value="Unregistering context %s, from node %s")
    void unregisteringContext(String contextPath,
                                                                                                                                  String jvmRoute)

#### nodeIsInError

    @LogMessage(level=DEBUG)
     @Message(id=5048,
             value="Node %s in error")
    void nodeIsInError(String jvmRoute)

#### nodeConfigCreated

    @LogMessage(level=DEBUG)
     @Message(id=5049,
             value="NodeConfig created: connectionURI: %s, balancer: %s, load balancing group: %s, jvmRoute: %s, flushPackets: %s, flushwait: %s, ping: %s,ttl: %s, timeout: %s, maxConnections: %s, cacheConnections: %s, requestQueueSize: %s, queueNewRequests: %s")
    void nodeConfigCreated(URI connectionURI,
                                                                                                                                                                                                                                                                                                                                           String balancer,
                                                                                                                                                                                                                                                                                                                                           String domain,
                                                                                                                                                                                                                                                                                                                                           String jvmRoute,
                                                                                                                                                                                                                                                                                                                                           boolean flushPackets,
                                                                                                                                                                                                                                                                                                                                           int flushwait,
                                                                                                                                                                                                                                                                                                                                           int ping,
                                                                                                                                                                                                                                                                                                                                           long ttl,
                                                                                                                                                                                                                                                                                                                                           int timeout,
                                                                                                                                                                                                                                                                                                                                           int maxConnections,
                                                                                                                                                                                                                                                                                                                                           int cacheConnections,
                                                                                                                                                                                                                                                                                                                                           int requestQueueSize,
                                                                                                                                                                                                                                                                                                                                           boolean queueNewRequests)

#### failedToProcessManagementReq

    @LogMessage(level=ERROR)
     @Message(id=5050,
             value="Failed to process management request")
    void failedToProcessManagementReq(@Cause
                                                                                                                                         Exception e)

#### failedToSendPingResponse

    @LogMessage(level=ERROR)
     @Message(id=5051,
             value="Failed to send ping response")
    void failedToSendPingResponse(@Cause
                                                                                                                             Exception e)

#### failedToSendPingResponseDBG

    @LogMessage(level=DEBUG)
     @Message(id=5052,
             value="Failed to send ping response, node.getJvmRoute(): %s, jvmRoute: %s")
    void failedToSendPingResponseDBG(@Cause
                                                                                                                                                                      Exception e,
                                                                                                                                                                      String node,
                                                                                                                                                                      String jvmRoute)

#### registeringNode

    @LogMessage(level=INFO)
     @Message(id=5053,
             value="Registering node %s, connection: %s")
    void registeringNode(String jvmRoute,
                                                                                                                          URI connectionURI)

#### mcmpKeyValue

    @LogMessage(level=DEBUG)
     @Message(id=5054,
             value="MCMP processing, key: %s, value: %s")
    void mcmpKeyValue(HttpString name,
                                                                                                                        String value)

#### httpClientPingTask

    @LogMessage(level=DEBUG)
     @Message(id=5055,
             value="HttpClientPingTask run for connection: %s")
    void httpClientPingTask(URI connection)

#### receivedNodeLoad

    @LogMessage(level=DEBUG)
     @Message(id=5056,
             value="Received node load in STATUS message, node jvmRoute: %s, load: %s")
    void receivedNodeLoad(String jvmRoute,
                                                                                                                                                          String loadValue)

#### mcmpSendingResponse

    @LogMessage(level=DEBUG)
     @Message(id=5057,
             value="Sending MCMP response to destination: %s, HTTP status: %s, Headers: %s, response: %s")
    void mcmpSendingResponse(InetSocketAddress destination,
                                                                                                                                                                                int status,
                                                                                                                                                                                HeaderMap headers,
                                                                                                                                                                                String response)

#### potentialCrossTalking

    @LogMessage(level=WARN)
     @Message(id=5058,
             value="Could not bind multicast socket to %s (%s address): %s; make sure your multicast address is of the same type as the IP stack (IPv4 or IPv6). Multicast socket will not be bound to an address, but this may lead to cross talking (see http://www.jboss.org/community/docs/DOC-9469 for details).")
    void potentialCrossTalking(InetAddress group,
                                                                                                                                                                                                                                                                                                                                                                                              String s,
                                                                                                                                                                                                                                                                                                                                                                                              String localizedMessage)

#### oldStylePredicateSyntax

    @LogMessage(level=WARN)
     @Message(id=5060,
             value="Predicate %s uses old style square braces to define predicates, which will be removed in a future release. predicate[value] should be changed to predicate(value)")
    void oldStylePredicateSyntax(String string)

#### maxRestartsExceeded

    @Message(id=5061,
             value="More than %s restarts detected, breaking assumed infinite loop")
    IllegalStateException maxRestartsExceeded(int maxRestarts)

#### extendedAccessLogPatternParseError

    @LogMessage(level=ERROR)
     @Message(id=5062,
             value="Pattern parse error")
    void extendedAccessLogPatternParseError(@Cause
                                                                                                                              Throwable t)

#### extendedAccessLogUnknownToken

    @LogMessage(level=ERROR)
     @Message(id=5063,
             value="Unable to decode with rest of chars starting: %s")
    void extendedAccessLogUnknownToken(String token)

#### extendedAccessLogMissingClosing

    @LogMessage(level=ERROR)
     @Message(id=5064,
             value="No closing ) found for in decode")
    void extendedAccessLogMissingClosing()

#### extendedAccessLogCannotDecode

    @LogMessage(level=ERROR)
     @Message(id=5065,
             value="The next characters couldn\'t be decoded: %s")
    void extendedAccessLogCannotDecode(String chars)

#### extendedAccessLogCannotDecodeXParamValue

    @LogMessage(level=ERROR)
     @Message(id=5066,
             value="X param for servlet request, couldn\'t decode value: %s")
    void extendedAccessLogCannotDecodeXParamValue(String value)

#### extendedAccessLogBadXParam

    @LogMessage(level=ERROR)
     @Message(id=5067,
             value="X param in wrong format. Needs to be \'x-#(...)\'")
    void extendedAccessLogBadXParam()

#### extendedAccessLogEmptyPattern

    @LogMessage(level=INFO)
     @Message(id=5068,
             value="Pattern was just empty or whitespace")
    void extendedAccessLogEmptyPattern()

#### failedToWriteJdbcAccessLog

    @LogMessage(level=ERROR)
     @Message(id=5069,
             value="Failed to write JDBC access log")
    void failedToWriteJdbcAccessLog(@Cause
                                                                                                                                  Exception e)

#### failedToWritePreCachedFile

    @LogMessage(level=ERROR)
     @Message(id=5070,
             value="Failed to write pre-cached file")
    void failedToWritePreCachedFile()

#### undertowRequestFailed

    @LogMessage(level=ERROR)
     @Message(id=5071,
             value="Undertow request failed %s")
    void undertowRequestFailed(@Cause
                                                                                                                        Throwable t,
                                                                                                                        HttpServerExchange exchange)

#### stuckThreadDetected

    @LogMessage(level=WARN)
     @Message(id=5072,
             value="Thread %s (id=%s) has been active for %s milliseconds (since %s) to serve the same request for %s and may be stuck (configured threshold for this StuckThreadDetectionValve is %s seconds). There is/are %s thread(s) in total that are monitored by this Valve and may be stuck.")
    void stuckThreadDetected(String threadName,
                                                                                                                                                                                                                                                                                                                                                                            long threadId,
                                                                                                                                                                                                                                                                                                                                                                            long active,
                                                                                                                                                                                                                                                                                                                                                                            Date start,
                                                                                                                                                                                                                                                                                                                                                                            String requestUri,
                                                                                                                                                                                                                                                                                                                                                                            int threshold,
                                                                                                                                                                                                                                                                                                                                                                            int stuckCount,
                                                                                                                                                                                                                                                                                                                                                                            @Cause
                                                                                                                                                                                                                                                                                                                                                                            Throwable stackTrace)

#### stuckThreadCompleted

    @LogMessage(level=WARN)
     @Message(id=5073,
             value="Thread %s (id=%s) was previously reported to be stuck but has completed. It was active for approximately %s milliseconds. There is/are still %s thread(s) that are monitored by this Valve and may be stuck.")
    void stuckThreadCompleted(String threadName,
                                                                                                                                                                                                                                                                                                        long threadId,
                                                                                                                                                                                                                                                                                                        long active,
                                                                                                                                                                                                                                                                                                        int stuckCount)

#### failedToInvokeFailedCallback

    @LogMessage(level=ERROR)
     @Message(id=5074,
             value="Failed to invoke error callback %s for SSE task")
    void failedToInvokeFailedCallback(ServerSentEventConnection.EventCallback callback,
                                                                                                                                                    @Cause
                                                                                                                                                    Exception e)

#### unableToResolveModClusterManagementHost

    @Message(id=5075,
             value="Unable to resolve mod_cluster management host\'s address for \'%s\'")
    IllegalStateException unableToResolveModClusterManagementHost(String providedHost)

#### sslReadLoopDetected

    @LogMessage(level=ERROR)
     @Message(id=5076,
             value="SSL read loop detected. This should not happen, please report this to the Undertow developers. Current state %s")
    void sslReadLoopDetected(SslConduit sslConduit)

#### sslBufferOverflow

    @LogMessage(level=ERROR)
     @Message(id=5077,
             value="SSL unwrap buffer overflow detected. This should not happen, please report this to the Undertow developers. Current state %s")
    void sslBufferOverflow(SslConduit sslConduit)

#### alpnConnectionFailed

    @LogMessage(level=ERROR)
     @Message(id=5079,
             value="ALPN negotiation on %s failed")
    void alpnConnectionFailed(org.xnio.ssl.SslConnection connection)

#### resumedAndDispatched

    @LogMessage(level=ERROR)
     @Message(id=5080,
             value="HttpServerExchange cannot have both async IO resumed and dispatch() called in the same cycle")
    void resumedAndDispatched()

#### cannotProxyStartedRequest

    @LogMessage(level=ERROR)
     @Message(id=5081,
             value="Response has already been started, cannot proxy request %s")
    void cannotProxyStartedRequest(HttpServerExchange exchange)

#### cannotUseWildcardAddressAsModClusterManagementHost

    @Message(id=5082,
             value="Configured mod_cluster management host address cannot be a wildcard address (%s)!")
    IllegalArgumentException cannotUseWildcardAddressAsModClusterManagementHost(String providedAddress)

#### unexpectedEndOfCompressedInput

    @Message(id=5083,
             value="Unexpected end of compressed input")
    IOException unexpectedEndOfCompressedInput()

#### dataLargerThanContentLength

    @Message(id=5084,
             value="Attempted to write %s bytes however content-length has been set to %s")
    IOException dataLargerThanContentLength(long totalToWrite,
                                                                                                                                                      long responseContentLength)

#### responseWasNotTerminated

    @LogMessage(level=DEBUG)
     @Message(id=5085,
             value="Connection %s for exchange %s was not closed cleanly, forcibly closing connection")
    void responseWasNotTerminated(ServerConnection connection,
                                                                                                                                                                                  HttpServerExchange exchange)

#### failedToAcceptSSLRequest

    @LogMessage(level=ERROR)
     @Message(id=5086,
             value="Failed to accept SSL request")
    void failedToAcceptSSLRequest(@Cause
                                                                                                                             Exception e)

#### closeAsyncFailed

    @LogMessage(level=ERROR)
     @Message(id=5088,
             value="Failed to execute ServletOutputStream.closeAsync() on IO thread")
    void closeAsyncFailed(@Cause
                                                                                                                                                        IOException e)

#### nullParameter

    @Message(id=5089,
             value="Method parameter \'%s\' cannot be null")
    IllegalArgumentException nullParameter(String name)

#### handleUnexpectedFailure

    @LogMessage(level=ERROR)
     @Message(id=5090,
             value="Unexpected failure")
    void handleUnexpectedFailure(@Cause
                                                                                                                  Throwable t)

#### directBufferDeallocatorInitializationFailed

    @LogMessage(level=ERROR)
     @Message(id=5091,
             value="Failed to initialize DirectByteBufferDeallocator")
    void directBufferDeallocatorInitializationFailed(@Cause
                                                                                                                                                                    Throwable t)

#### directBufferDeallocationFailed

    @LogMessage(level=DEBUG)
     @Message(id=5092,
             value="Failed to free direct buffer")
    void directBufferDeallocationFailed(@Cause
                                                                                                                                   Throwable t)

#### blockingReadTimedOut

    @LogMessage(level=DEBUG)
     @Message(id=5093,
             value="Blocking read timed out")
    void blockingReadTimedOut(@Cause
                                                                                                                    org.xnio.channels.ReadTimeoutException rte)

#### blockingWriteTimedOut

    @LogMessage(level=DEBUG)
     @Message(id=5094,
             value="Blocking write timed out")
    void blockingWriteTimedOut(@Cause
                                                                                                                      org.xnio.channels.WriteTimeoutException rte)

#### sslEngineDelegatedTaskRejected

    @LogMessage(level=DEBUG)
     @Message(id=5095,
             value="SSLEngine delegated task was rejected")
    void sslEngineDelegatedTaskRejected(@Cause
                                                                                                                                            RejectedExecutionException ree)

#### authenticationFailedFor

    @LogMessage(level=DEBUG)
     @Message(id=5096,
             value="Authentication failed for digest header %s in %s")
    void authenticationFailedFor(String header,
                                                                                                                                                HttpServerExchange exchange,
                                                                                                                                                @Cause
                                                                                                                                                Exception e)

#### failedToObtainSubject

    @LogMessage(level=DEBUG)
     @Message(id=5097,
             value="Failed to obtain subject for %s")
    void failedToObtainSubject(HttpServerExchange exchange,
                                                                                                                             @Cause
                                                                                                                             GeneralSecurityException e)

#### failedToNegotiateAtGSSAPI

    @LogMessage(level=DEBUG)
     @Message(id=5098,
             value="GSSAPI negotiation failed for %s")
    void failedToNegotiateAtGSSAPI(HttpServerExchange exchange,
                                                                                                                                  @Cause
                                                                                                                                  Throwable e)